---
license: mit
language:
- en
tags:
- text-rewriting
- web
- generative-engine-optimization
- geo
- reinforcement-learning
- grpo
- qwen3
- transformers
- safetensors
library_name: transformers
pipeline_tag: text-generation
base_model: Qwen/Qwen3-1.7B
datasets:
- cx-cmu/E-commerce
---
# AutoGEO<sub>Mini</sub> (Qwen1.7B, E-commerce)

AutoGEO<sub>Mini</sub> (Qwen1.7B, E-commerce) is a GEO model designed to improve how web document is incorporated into answers generated by **LLM-based generative engines**. 

The model rewrites a given document to better match the preferences of generative engines (e.g., GPT, Gemini, Claude), with the goal of increasing the document’s **visibility and coverage** in generated responses, while **preserving the original meaning and factual content**.

⚠️ This model is trained for the generative engine powered by `gemini-2.5-flash-lite` on dataset `E-commerce`. If you intend to use AutoGEO<sub>Mini</sub> with other types of generative engines or datasets, you must post-train `Qwen/Qwen3-1.7B` using [our code](https://github.com/cxcscmu/AutoGEO).

This model is part of the **AutoGEO** framework proposed in the paper

📄 **Paper:** ["What Generative Search Engines Like and How to Optimize Web Content Cooperatively"](https://arxiv.org/abs/2510.11438)  
👥 **Authors:** Yujiang Wu*, Shanshan Zhong*, Yubin Kim, Chenyan Xiong (*Equal contribution)  
🚀 **Code:** [AutoGEO on GitHub](https://github.com/cxcscmu/AutoGEO)  

## Usage

This model is designed to be used through the [**AutoGEO framework**](https://github.com/cxcscmu/AutoGEO). Try it out in [huggingface Space](https://huggingface.co/spaces/cx-cmu/AutoGEO_Mini) or

Quick starts:

```python
from autogeo.rewriters import rewrite_document

rewritten_text = rewrite_document(
    document="Input text.",
    dataset="E-commerce",
    engine_llm="gemini",
    model_path="cx-cmu/AutoGEO_mini_Qwen1.7B_ResearchyGEO",
)
```

Evaluation:

```bash
python -m autogeo.evaluate \
  --model autogeo_mini \
  --model_path cx-cmu/AutoGEO_mini_Qwen1.7B_ResearchyGEO \
  --dataset E-commerce
```



## Related Resources

* **Paper:** [https://arxiv.org/abs/2510.11438](https://arxiv.org/abs/2510.11438)
* **Code:** [https://github.com/cxcscmu/AutoGEO](https://github.com/cxcscmu/AutoGEO)
* **Dataset:** [https://huggingface.co/datasets/cx-cmu/E-commerce](https://huggingface.co/datasets/cx-cmu/E-commerce)

## Citation

If you use this model, please cite:

```bibtex
@article{wu2025generative,
  title={What Generative Search Engines Like and How to Optimize Web Content Cooperatively},
  author={Wu, Yujiang and Zhong, Shanshan and Kim, Yubin and Xiong, Chenyan},
  journal={arXiv preprint arXiv:2510.11438},
  year={2025}
}
```